import {
    createSelector,
    createFeatureSelector,
    ActionReducerMap,
  } from '@ngrx/store';

  import { StateSelector } from 'packages/core/ngrx/store';

  import { MODULE } from '../sensor.constant';

  import * as ReadAllByDomainStore from './list';

  export interface State {
    list: ReadAllByDomainStore.State;
  }

  export const REDUCERS = {
    list: ReadAllByDomainStore.reducer,
  };

  export const EFFECTS = [
    ReadAllByDomainStore.Effects,
  ];

  export const selectState = createFeatureSelector<State>(MODULE.name);

  export const sensorListSelector = new StateSelector<ReadAllByDomainStore.State>(createSelector(
    selectState,
    (state: State) => state.list
  ));
